## org.apache.hadoop.mapreduce.server.tasktracker.userlogs
Class DeleteJobEvent

    java.lang.Object
      org.apache.hadoop.mapreduce.server.tasktracker.userlogs.UserLogEvent
          org.apache.hadoop.mapreduce.server.tasktracker.userlogs.DeleteJobEvent

    public class DeleteJobEvent

extends UserLogEvent

This is an `UserLogEvent` sent when job logs should be deleted.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.server.tasktracker.userlogs.UserLogEvent
`UserLogEvent.EventType`

Constructor Summary
`DeleteJobEvent(JobID jobid)` Create the event to delete job log directory.

Method Summary
`JobID` `getJobID()` Get the jobid.

Methods inherited from class org.apache.hadoop.mapreduce.server.tasktracker.userlogs.UserLogEvent
`getEventType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteJobEvent

    public DeleteJobEvent(JobID jobid)

  Create the event to delete job log directory.

  Parameters:
    `jobid` - The `JobID` whose logs should be deleted.

Method Detail

### getJobID

    public JobID getJobID()

  Get the jobid.

  Returns:
    object of `JobID`

Copyright © 2009 The Apache Software Foundation